#ifndef GPHOTO_STATUS_H
#define GPHOTO_STATUS_H

extern "C" {
	#include <stdio.h>
	#include <gphoto2.h>
}

class Gphoto_Status {

 public:

  Gphoto_Status();
  ~Gphoto_Status();

  GPContext *my_context;
  static bool  my_cancel;


 private:

  static GPContextFeedback cancel_func (GPContext *context, void *data);
  static void error_func  (GPContext *context, const char *format, va_list args, void *data);
  static void status_func (GPContext *context, const char *format, va_list args, void *data);
  static unsigned int progress_start_func (GPContext *context, float target, const char *format,
				   va_list args, void *data);
  static void progress_update_func (GPContext *context, unsigned int id, float current,
				    void *data);
  static void progress_stop_func(GPContext *context, unsigned int id, void *data);

  static float my_target;


};

#endif
